thm2isis supplied incorrect OriginalBand values

2012-08-28 08:30 AM - Tammy Becker

Status: Closed   

Priority: Normal   

Assignee: Lynn Weller   

Category: Applications   

Target version: N/A   

Impact:  Software Version:  

Description

External Post:

https://isis.astrogeology.usgs.gov/IsisSupport/index.php/topic,3543.0.html

Details:

When initializing THEMIS images for use in ISIS3 using thm2isis, the OriginalBand value in the BandBin group is populated

incorrrectly:

$ thm2isis from=/themis/data/mapping/RDR_calib/I010XXRDR/I01010006RDR.QUB to=/local/output

thm2isis: Importing

100% Processed

$ catlab from=output.cub | grep OriginalBand

OriginalBand = (1, 2, 3)

In this case, the OriginalBand values should be 4, 9, 10. All other values in the BandBin group appear correct.  

Thanks!

Randy

History

#1 - 2012-08-28 08:30 AM - Tammy Becker

Lynn,  Can you see if this issue can be reproduced?

Thank you!!

#2 - 2012-08-28 01:21 PM - Lynn Weller

Hi,

What the user points out is repeatable, but isn't necessarily wrong.  Here's part of the band information from the PDS label for a themis ir image:

   BAND_BIN_FILTER_NUMBER = (3, 4, 5, 6, 7, 8, 9, 10)

    BAND_BIN_BAND_NUMBER = (3, 4, 5, 6, 7, 8, 9, 10)

    BAND_BIN_CENTER = (7.93, 8.56, 9.35, 10.21, 11.04, 11.79,

                       12.57, 14.88)

    BAND_BIN_WIDTH = (1.09, 1.16, 1.20, 1.10, 1.19, 1.07, 0.81,

                      0.87)

 

And here it is again after thm2isis:

OriginalBand = (1, 2, 3, 4, 5, 6, 7, 8)

Center       = (7.93, 8.56, 9.35, 10.21, 11.04, 11.79, 12.57, 14.88)

Width        = (1.09, 1.16, 1.20, 1.10, 1.19, 1.07, 0.81, 0.87)

FilterNumber = (3, 4, 5, 6, 7, 8, 9, 10)
It appears that BAND_BIN_BAND_NUMBER in the PDS label is being translated to OriginalBand in the ISIS cube label, which is merely a counter for

the band position.  Filter Number is consistent in the two as is center and width.

I see the confusion the reporter is experiencing, but it's not clear to me if this sort of translation is consistent with other ingestion programs or if it's a

bug here.  Maybe this simply needs to be pointed out to the reporter and possibly added to the documentation (if so, do we need to do it for all

ingestion programs??).  

We might need a developer to help clarify.

#3 - 2012-09-20 09:17 AM - Lynn Weller

Added most of the above note to the public posting and asked the reporter if the explanation is sufficient.  If it isn't, I think a programmer might have to

deal with this.  I'm resolving this because there is nothing more I think I can do.

#5 - 2013-08-15 11:05 AM - Anonymous

- Target version changed from 150 to N/A
